Subject: Re: bug#21473: 24.5; very slow tooltip display to sort-of-slow remote display

From: Ken Raeburn <[email-masked]>
Date: Thu, 8 Oct 2015 02:04:46 -0400

> On Oct 7, 2015, at 11:31, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Ken Raeburn <[email-masked]>
>> Date: Wed, 7 Oct 2015 02:09:47 -0400
>> Cc: [email-masked]
>> 
>> I wonder if it might be better to change x_set_mouse_color to check some new field “f->tooltip_p” that makes it define just one cursor.  (The arrow we use for non-text areas, or the vertical-bar xterm cursor we use for text?)
> 
> Fine, let's do it this way.  Can you prepare a patch along these
> lines?

I’ll start working on it, but it’ll be pointless (pointer-less?) unless I can figure out why the settings aren’t taking effect for tooltip frames.

>> Of course, there’s also the little matter of making the cursor-setting actually work.  Until (unless?) that happens, we might as well disable it for everyone.  I can check that in if you'd like.
> 
> Please do, and thanks.

I’ve checked this in, and some of the other optimizations I’ve been working on.  That still leaves us calling XSync a bit more than necessary, but I need to work on the error-trapping changes a bit more before I’m happy with them.  Still, this should be a good improvement over the previous remote performance.

Ken